#!/usr/local/bin/perl -w
use strict;
use Tk;

my $main = new MainWindow;
my $stg;
my $lb = $main->Listbox(-selectmode => "extended",
                        -setgrid => 1)->pack();
$lb->insert('end', "WiMa", "WiWi", 
                   "Informatik Diplom", "Medien-Informatik", 
                   "Informatik Master", "Informatik Bachelor",
                   "Mathematik Diplom", "Mathematik Bachelor",
                   "Wirtschaftsphysik", "Wirtschaftschemie",
                   "E-Technik");
$lb->bind('<Button-1>', sub { $stg = ($lb->get($lb->curselection()));
                              print "$stg\n";
                              my($x,$y,$w,$h) = $lb->bbox(1);
                              print "$x : $y : $w : $h\n";
                            });
$main->Button(-text => "selectAll",
              -command => sub { $lb->selection('set', 0, 'end');
                                my @all = ($lb->curselection());
                                foreach (@all){
                                 printf("%s\n",  $lb->get($_));
                                }
                              })->pack();
$main->Button(-text => "clearAll",
              -command => sub { $lb->selection('clear', 0, 'end');
                              })->pack();
$main->Button(-text => "Test",
              -command => sub { if ($lb->selection('includes', 3)){
                                   print "3 ist dabei\n"
                                } else { print "3 ist nicht dabei\n"
                                };
                              })->pack();
$main->Button(-text => "See",
              -command => sub { $lb->see('end');
                              })->pack();

$main->Button(-text => "Exit", 
              -command => sub { exit; })->pack();
MainLoop;
