#!/usr/local/bin/perl -w
use Tk;
use strict;

my $main = new MainWindow;
$main->Bitmap('flagup', 
             -file => Tk->findINC('demos/images/flagup'),
             -maskfile => Tk->findINC('demos/images/flagup'),
             -foreground => "red"
             );
$main->Bitmap('flagdown', 
             -file => Tk->findINC('demos/images/flagdown'),
#             -maskfile => Tk->findINC('demos/images/flagdown'),
             -foreground => "blue",
             -background => "green"
             );
$main->Photo('image1a', -file => Tk->findINC('demos/images/earth.gif'));
$main->Button(-image => 'image1a', -command => sub {exit})
        ->pack(-side => 'bottom');
my $f = $main->Frame()->pack(-side => 'top');

$f->Checkbutton( -image => 'flagup', -selectimage => 'flagdown',
                -width => 80, -height => 80, -indicatoron => 0)
        ->pack(-side => 'left');

$f->Button(-bitmap => '@./mybitmap.xbm', -width => 80, 
               -height => 80, -command => sub {exit})
        ->pack(-side => 'left');
foreach my $bm ('error', 'gray12', 'gray25', 'gray50', 'gray75', 
                'hourglass', 'info', 'questhead', 'question', 
                'warning') {
    $f->Button(-bitmap => "$bm", -height => 80, -width => 80)
       ->pack(-side => 'left');
}

MainLoop;
