#!/usr/local/bin/perl -w
use strict;
use Tk;
my @Studiengaenge = ("WiMa", "WiWi", "Informatik Dipl.", 
                     "Informatik Master", "Informatik Bachelor",
                     "Mathematik Diplom", "WiPhy", "WiChem",
                     "E-Technik");
my %Vorlesungen = ("Allg. Info I" => 0, "Allg. Info II" => 0, 
                   "Allg. Info III" => 0, "Systemnahe Software" => 0, 
                   "OO mit C++" => 0, "UDB" => 0, "SEP" => 0,
                   "OO-Anwendungen I" => 0, "OO-Anwendungen II" => 0);
my $stg_auswahl = 0;
my $main = new MainWindow;
$main->title("Pruefungs-DB");
# create upper and lower frame
my $upper = $main->Frame()->pack(-side => "top");
my $lower = $main->Frame()->pack(-side => "bottom");
# create two frames with labels
my $left =  $upper->Frame(-label => "Vorlesungen", -borderwidth => 5,
                     ) -> pack(-side => "left");
my $right =  $upper->Frame(-label => "Studiengang", -borderwidth => 5,
                     ) -> pack(-side => "right");
foreach (sort keys %Vorlesungen) {
  $left->Checkbutton(-text => "$_", -variable => \$Vorlesungen{$_}
                    )->pack(-side => "top", -anchor => "w");
}
foreach (@Studiengaenge) {
  $right->Radiobutton(-text => "$_", -variable => \$stg_auswahl,
                      -value => "$_",
                    )->pack(-side => "top", -anchor => "w");
}
$lower->Button(-text => "Print", 
               -command => sub { print "Stg.: $stg_auswahl\n";
                                 my $first = "";
                                 foreach (sort keys %Vorlesungen){
                                     if ($Vorlesungen{$_}){
                                          print "$first$_";
                                          $first = ":";
                                     };
                                 }
                                 print "\n";
                            }) ->pack(-side => "left");
$lower->Button(-text => "Exit", -command => sub { exit; }
             ) ->pack(-side => "right");
MainLoop;
